Update data schema

View as Markdown
Update an existing data schema.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

dataSchemaIdstringRequired

Request

Data schema details to update.
operationslist of objectsOptional
Operations to apply to update the data schema.

Response

Data schema successfully updated.
idstring
Unique ID of the data schema.
accountobject
namestring3-50 characters
Name of the data schema.
fieldslist of objects
The fields of the schema.
friendly_nameslist of objects
The friendly names of the schema.
category_friendly_nameslist of objects
The category friendly names of the schema.
data_anchorslist of objects
The data anchors of the schema.
data_protectionslist of objects
The data protections of the schema.
created_atdatetime
Timestamp when the data schema was created.
created_byobject or null
Reference of the user who created the data schema, if known.
updated_atdatetime
Timestamp when the data schema was last updated.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error